GET
/networks/{id} Connection and access
API connection and authentication guidance
/v1.57
No HTTP authentication requirement is declared for this operation. Transport access controls can still apply.
Parameters
id
path
Required
Network ID or name
Type:
string
All schema constraints and annotations
{
"type": "string"
}verbose
query
Detailed inspect output for troubleshooting
Type:
boolean
All schema constraints and annotations
{
"default": false,
"type": "boolean"
}scope
query
Filter the network by scope (swarm, global, or local)
Type:
string
All schema constraints and annotations
{
"type": "string"
}Request and responses
Response
200
No error
application/json
Schema:
NetworkInspect
Response
404
Network not found
application/json
Schema:
ErrorResponse
Schema example
{
"message": "Something went wrong."
}Response
500
Server error
application/json
Schema:
ErrorResponse
Schema example
{
"message": "Something went wrong."
}Referenced schemas
#/components/schemas/ErrorResponse
#/components/schemas/NetworkInspect
Complete operation contract
{
"operationId": "NetworkInspect",
"parameters": [
{
"description": "Network ID or name",
"in": "path",
"name": "id",
"required": true,
"schema": {
"type": "string"
}
},
{
"description": "Detailed inspect output for troubleshooting",
"in": "query",
"name": "verbose",
"schema": {
"default": false,
"type": "boolean"
}
},
{
"description": "Filter the network by scope (swarm, global, or local)",
"in": "query",
"name": "scope",
"schema": {
"type": "string"
}
}
],
"responses": {
"200": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/NetworkInspect"
}
}
},
"description": "No error"
},
"404": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ErrorResponse"
}
}
},
"description": "Network not found"
},
"500": {
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/ErrorResponse"
}
}
},
"description": "Server error"
}
},
"summary": "Inspect a network",
"tags": [
"Network"
]
}